package com.ywt.core;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * Created by dyh2020
 */
@Retention(RetentionPolicy.RUNTIME)
public @interface MGRight {


    // 是否需要较验，false，直接通过
    boolean need() default true;
    // 菜单
    String[] menuCode() default "";
    // 权限点
    String[] rightCode() default "";
    // 权限类型
//    MGRightType[] type() default MGRightType.Logined;
    int type() default 4;
}
